<?php
class ControllerModuleWPCumulusTags extends Controller {
	private $error = array();
	public function index() {
		$this->load->language('module/wpcumulustags');
		$this->document->title = $this->language->get('heading_title');
		$this->load->model('setting/setting');
		if (($this->request->server['REQUEST_METHOD'] == 'POST') && ($this->validate())) {
			$this->model_setting_setting->editSetting('wpcumulustags', $this->request->post);
			$this->session->data['success'] = $this->language->get('text_success');
			$this->redirect((HTTPS_SERVER . 'index.php?route=extension/module'));
		}
		$this->data['heading_title'] = $this->language->get('heading_title');
		$this->data['text_enabled'] = $this->language->get('text_enabled');
		$this->data['text_disabled'] = $this->language->get('text_disabled');
		$this->data['text_left'] = $this->language->get('text_left');
		$this->data['text_right'] = $this->language->get('text_right');
		$this->data['entry_speed'] = $this->language->get('entry_speed');
		$this->data['entry_limit'] = $this->language->get('entry_limit');
		//new parameters
		$this->data['entry_horizontal_size'] = $this->language->get('entry_horizontal_size');
		$this->data['entry_vertical_size'] = $this->language->get('entry_vertical_size');
		$this->data['entry_default_text_color'] = $this->language->get('entry_default_text_color');
		$this->data['entry_mouseover_text_color'] = $this->language->get('entry_mouseover_text_color');
		$this->data['entry_background_color'] = $this->language->get('entry_background_color');
		$this->data['entry_background_transparency'] = $this->language->get('entry_background_transparency');
		//fim dos novos parametros
		$this->data['entry_position'] = $this->language->get('entry_position');
		$this->data['entry_status'] = $this->language->get('entry_status');
		$this->data['entry_sort_order'] = $this->language->get('entry_sort_order');
  		$this->data['entry_credit'] = $this->language->get('entry_credit');
		$this->data['button_save'] = $this->language->get('button_save');
		$this->data['button_cancel'] = $this->language->get('button_cancel');
		$this->data['tab_general'] = $this->language->get('tab_general');
		if (isset($this->error['warning']))
		{
			$this->data['error_warning'] = $this->error['warning'];
		}
		else
		{
			$this->data['error_warning'] = '';
		}
		if (isset($this->error['error_sort_order']))
		{
			$this->data['error_sort_order'] = $this->error['error_sort_order'];
		}
		else
		{
			$this->data['error_sort_order'] = '';
		}
		if (isset($this->error['error_speed']))
		{
			$this->data['error_speed'] = $this->error['error_speed'];
		}
		else
		{
			$this->data['error_speed'] = '';
		}
		if (isset($this->error['error_limit']))
		{
			$this->data['error_limit'] = $this->error['error_limit'];
		}
		else
		{
			$this->data['error_limit'] = '';
		}
		//new parameters
		if (isset($this->error['error_horizontal_size']))
		{
			$this->data['error_horizontal_size'] = $this->error['error_horizontal_size'];
		}
		else
		{
			$this->data['error_horizontal_size'] = '';
		}
		if (isset($this->error['error_vertical_size']))
		{
			$this->data['error_vertical_size'] = $this->error['error_vertical_size'];
		}
		else
		{
			$this->data['error_vertical_size'] = '';
		}
		if (isset($this->error['error_default_text_color']))
		{
			$this->data['error_default_text_color'] = $this->error['error_default_text_color'];
		}
		else
		{
			$this->data['error_default_text_color'] = '';
		}
		if (isset($this->error['error_mouseover_text_color']))
		{
			$this->data['error_mouseover_text_color'] = $this->error['error_mouseover_text_color'];
		}
		else
		{
			$this->data['error_mouseover_text_color'] = '';
		}
		if (isset($this->error['error_background_color']))
		{
			$this->data['error_background_color'] = $this->error['error_background_color'];
		}
		else
		{
			$this->data['error_background_color'] = '';
		}
		if (isset($this->error['error_background_transparency']))
		{
			$this->data['error_background_transparency'] = $this->error['error_background_transparency'];
		}
		else
		{
			$this->data['error_background_transparency'] = '';
		}
		//new parameters
  		$this->document->breadcrumbs = array();
   		$this->document->breadcrumbs[] = array(
       		'href'      => (HTTPS_SERVER . 'index.php?route=common/home'),
       		'text'      => $this->language->get('text_home'),
      		'separator' => FALSE
   		);
   		$this->document->breadcrumbs[] = array(
       		'href'      => (HTTPS_SERVER . 'index.php?route=extension/module'),
       		'text'      => $this->language->get('text_module'),
      		'separator' => ' :: '
   		);
   		$this->document->breadcrumbs[] = array(
       		'href'      => (HTTPS_SERVER . 'index.php?route=module/wpcumulustags'),
       		'text'      => $this->language->get('heading_title'),
      		'separator' => ' :: '
   		);
		$this->data['action'] = (HTTPS_SERVER . 'index.php?route=module/wpcumulustags');
		$this->data['cancel'] = (HTTPS_SERVER . 'index.php?route=extension/module');
		if (isset($this->request->post['wpcumulustags_speed'])) {
			$this->data['wpcumulustags_speed'] = $this->request->post['wpcumulustags_speed'];
		} else {
			$this->data['wpcumulustags_speed'] = $this->config->get('wpcumulustags_speed');
		}
		if (isset($this->request->post['wpcumulustags_limit'])) {
			$this->data['wpcumulustags_limit'] = $this->request->post['wpcumulustags_limit'];
		} else {
			$this->data['wpcumulustags_limit'] = $this->config->get('wpcumulustags_limit');
		}
		//new parameters
		if (isset($this->request->post['wpcumulustags_horizontal_size'])) {
			$this->data['wpcumulustags_horizontal_size'] = $this->request->post['wpcumulustags_horizontal_size'];
		} else {
			$this->data['wpcumulustags_horizontal_size'] = $this->config->get('wpcumulustags_horizontal_size');
		}
		//
		if (isset($this->request->post['wpcumulustags_vertical_size'])) {
			$this->data['wpcumulustags_vertical_size'] = $this->request->post['wpcumulustags_vertical_size'];
		} else {
			$this->data['wpcumulustags_vertical_size'] = $this->config->get('wpcumulustags_vertical_size');
		}
		//
		if (isset($this->request->post['wpcumulustags_default_text_color'])) {
			$this->data['wpcumulustags_default_text_color'] = $this->request->post['wpcumulustags_default_text_color'];
		} else {
			$this->data['wpcumulustags_default_text_color'] = $this->config->get('wpcumulustags_default_text_color');
		}
		//
		if (isset($this->request->post['wpcumulustags_mouseover_text_color'])) {
			$this->data['wpcumulustags_mouseover_text_color'] = $this->request->post['wpcumulustags_mouseover_text_color'];
		} else {
			$this->data['wpcumulustags_mouseover_text_color'] = $this->config->get('wpcumulustags_mouseover_text_color');
		}
		//
		if (isset($this->request->post['wpcumulustags_background_color'])) {
			$this->data['wpcumulustags_background_color'] = $this->request->post['wpcumulustags_background_color'];
		} else {
			$this->data['wpcumulustags_background_color'] = $this->config->get('wpcumulustags_background_color');
		}
		//
		if (isset($this->request->post['wpcumulustags_background_transparency'])) {
			$this->data['wpcumulustags_background_transparency'] = $this->request->post['wpcumulustags_background_transparency'];
		} else {
			$this->data['wpcumulustags_background_transparency'] = $this->config->get('wpcumulustags_background_transparency');
		}
		//
		//end new parameters
		if (isset($this->request->post['wpcumulustags_position'])) {
			$this->data['wpcumulustags_position'] = $this->request->post['wpcumulustags_position'];
		} else {
			$this->data['wpcumulustags_position'] = $this->config->get('wpcumulustags_position');
		}
		if (isset($this->request->post['wpcumulustags_status'])) {
			$this->data['wpcumulustags_status'] = $this->request->post['wpcumulustags_status'];
		} else {
			$this->data['wpcumulustags_status'] = $this->config->get('wpcumulustags_status');
		}
		if (isset($this->request->post['wpcumulustags_sort_order'])) {
			$this->data['wpcumulustags_sort_order'] = $this->request->post['wpcumulustags_sort_order'];
		} else {
			$this->data['wpcumulustags_sort_order'] = $this->config->get('wpcumulustags_sort_order');
		}
		$this->id       = 'wpcumulustags';
		$this->template = 'module/wpcumulustags.tpl';
		$this->children = array(
			'common/header',	
			'common/footer'	
		);
		$this->response->setOutput($this->render(TRUE), $this->config->get('config_compression'));
 		$this->render();
	}
	private function validate() {
		if (!$this->user->hasPermission('modify', 'module/wpcumulustags')) {
			$this->error['warning'] = $this->language->get('error_permission');
		}
		if (!$this->request->post['wpcumulustags_sort_order']) {
			$this->error['sort_order'] = $this->language->get('error_sort_order');
		}
		if (!$this->request->post['wpcumulustags_speed']) {
			$this->error['error_speed'] = $this->language->get('error_speed');
		}		
		if (!$this->request->post['wpcumulustags_limit']) {
			$this->error['error_limit'] = $this->language->get('error_limit');
		}
		//novos parametros
		if (!$this->request->post['wpcumulustags_horizontal_size']) {
			$this->error['error_horizontal_size'] = $this->language->get('error_horizontal_size');
		}
		if (!$this->request->post['wpcumulustags_vertical_size']) {
			$this->error['error_vertical_size'] = $this->language->get('error_vertical_size');
		}
		if (!$this->request->post['wpcumulustags_default_text_color']) {
			$this->error['error_default_text_color'] = $this->language->get('error_default_text_color');
		}
		if (!$this->request->post['wpcumulustags_mouseover_text_color']) {
			$this->error['error_mouseover_text_color'] = $this->language->get('error_mouseover_text_color');
		}
		if (!$this->request->post['wpcumulustags_background_color']) {
			$this->error['error_background_color'] = $this->language->get('error_background_color');
		}
		if (!$this->request->post['wpcumulustags_background_transparency']) {
			$this->error['error_background_transparency'] = $this->language->get('error_background_transparency');
		}
		//fim do novos
		if (!$this->error) {
			return TRUE;
		} else {
			return FALSE;
		}
	}
}
?>