<?php
class ControllerModuleWPCumulusTags extends Controller {
	protected function index() {
		$this->language->load('module/wpcumulustags');
      	$this->data['heading_title'] = $this->language->get('heading_title');
		$this->load->model('module/wpcumulustags');
		$this->data['wpcumulustags_speed'] = $this->config->get('wpcumulustags_speed');
		$this->data['wpcumulustags_limit'] = $this->config->get('wpcumulustags_limit');
		//novos parametros
		$this->data['wpcumulustags_horizontal_size'] = $this->config->get('wpcumulustags_horizontal_size');
		$this->data['wpcumulustags_vertical_size'] = $this->config->get('wpcumulustags_vertical_size');
		$this->data['wpcumulustags_default_text_color'] = $this->config->get('wpcumulustags_default_text_color');
		$this->data['wpcumulustags_mouseover_text_color'] = $this->config->get('wpcumulustags_mouseover_text_color');
		$this->data['wpcumulustags_background_color'] = $this->config->get('wpcumulustags_background_color');
		$this->data['wpcumulustags_background_transparency'] = $this->config->get('wpcumulustags_background_transparency');
		//fim dos novos parametros
		$this->model_module_wpcumulustags->getTagGenXML(
			$this->config->get('wpcumulustags_limit'),
			$this->config->get('wpcumulustags_speed')
		);
		$this->id       = 'wpcumulustags';
		if (file_exists(DIR_TEMPLATE . $this->config->get('config_template') . '/template/module/wpcumulustags.tpl')) {
			$this->template = $this->config->get('config_template') . '/template/module/wpcumulustags.tpl';
		} else {
			$this->template = 'default/template/module/wpcumulustags.tpl';
		}
		$this->render();
	}
}
?>